Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.weaver.tools
Class IsAtAspectAnnotationVisitor

    java.lang.Object
      org.aspectj.weaver.tools.IsAtAspectAnnotationVisitor

    public class IsAtAspectAnnotationVisitor

extends java.lang.Object

Constructor Summary
`IsAtAspectAnnotationVisitor()`

Method Summary
`boolean` | `isAspect()`
`void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`
`void` | `visit(java.lang.String name, java.lang.Object value)`
`AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`
`AnnotationVisitor` | `visitAnnotation(java.lang.String name, java.lang.String desc)`
`AnnotationVisitor` | `visitAnnotationDefault()`
`AnnotationVisitor` | `visitArray(java.lang.String name)`
`void` | `visitAttribute(Attribute attr)`
`void` | `visitCode()`
`void` | `visitEnd()`
`void` | `visitEnum(java.lang.String name, java.lang.String desc, java.lang.String value)`
`FieldVisitor` | `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.Object value)`
`void` | `visitFieldInsn(int opcode, java.lang.String owner, java.lang.String name, java.lang.String desc)`
`void` | `visitIincInsn(int var, int increment)`
`void` | `visitInnerClass(java.lang.String name, java.lang.String outerName, java.lang.String innerName, int access)`
`void` | `visitInsn(int opcode)`
`void` | `visitIntInsn(int opcode, int operand)`
`void` | `visitJumpInsn(int opcode, Label label)`
`void` | `visitLabel(Label label)`
`void` | `visitLdcInsn(java.lang.Object cst)`
`void` | `visitLineNumber(int line, Label start)`
`void` | `visitLocalVariable(java.lang.String name, java.lang.String desc, java.lang.String signature, Label start, Label end, int index)`
`void` | `visitLookupSwitchInsn(Label dflt, int[] keys, Label[] labels)`
`void` | `visitMaxs(int maxStack, int maxLocals)`
`MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`
`void` | `visitMethodInsn(int opcode, java.lang.String owner, java.lang.String name, java.lang.String desc)`
`void` | `visitMultiANewArrayInsn(java.lang.String desc, int dims)`
`void` | `visitOuterClass(java.lang.String owner, java.lang.String name, java.lang.String desc)`
`AnnotationVisitor` | `visitParameterAnnotation(int parameter, java.lang.String desc, boolean visible)`
`void` | `visitSource(java.lang.String source, java.lang.String debug)`
`void` | `visitTableSwitchInsn(int min, int max, Label dflt, Label[] labels)`
`void` | `visitTryCatchBlock(Label start, Label end, Label handler, java.lang.String type)`
`void` | `visitTypeInsn(int opcode, java.lang.String desc)`
`void` | `visitVarInsn(int opcode, int var)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsAtAspectAnnotationVisitor

    public IsAtAspectAnnotationVisitor()

Method Detail

### visitAnnotation

    public AnnotationVisitor visitAnnotation(java.lang.String desc,
                                             boolean visible)

### visitField

    public FieldVisitor visitField(int access,
                                   java.lang.String name,
                                   java.lang.String desc,
                                   java.lang.String signature,
                                   java.lang.Object value)

### visitMethod

    public MethodVisitor visitMethod(int access,
                                     java.lang.String name,
                                     java.lang.String desc,
                                     java.lang.String signature,
                                     java.lang.String[] exceptions)

### isAspect

    public boolean isAspect()

### visit

    public void visit(int version,
                      int access,
                      java.lang.String name,
                      java.lang.String signature,
                      java.lang.String superName,
                      java.lang.String[] interfaces)

### visitSource

    public void visitSource(java.lang.String source,
                            java.lang.String debug)

### visitOuterClass

    public void visitOuterClass(java.lang.String owner,
                                java.lang.String name,
                                java.lang.String desc)

### visitAttribute

    public void visitAttribute(Attribute attr)

### visitInnerClass

    public void visitInnerClass(java.lang.String name,
                                java.lang.String outerName,
                                java.lang.String innerName,
                                int access)

### visitEnd

    public void visitEnd()

### visitAnnotationDefault

    public AnnotationVisitor visitAnnotationDefault()

### visitParameterAnnotation

    public AnnotationVisitor visitParameterAnnotation(int parameter,
                                                      java.lang.String desc,
                                                      boolean visible)

### visitCode

    public void visitCode()

### visitInsn

    public void visitInsn(int opcode)

### visitIntInsn

    public void visitIntInsn(int opcode,
                             int operand)

### visitVarInsn

    public void visitVarInsn(int opcode,
                             int var)

### visitTypeInsn

    public void visitTypeInsn(int opcode,
                              java.lang.String desc)

### visitFieldInsn

    public void visitFieldInsn(int opcode,
                               java.lang.String owner,
                               java.lang.String name,
                               java.lang.String desc)

### visitMethodInsn

    public void visitMethodInsn(int opcode,
                                java.lang.String owner,
                                java.lang.String name,
                                java.lang.String desc)

### visitJumpInsn

    public void visitJumpInsn(int opcode,
                              Label label)

### visitLabel

    public void visitLabel(Label label)

### visitLdcInsn

    public void visitLdcInsn(java.lang.Object cst)

### visitIincInsn

    public void visitIincInsn(int var,
                              int increment)

### visitTableSwitchInsn

    public void visitTableSwitchInsn(int min,
                                     int max,
                                     Label dflt,
                                     Label[] labels)

### visitLookupSwitchInsn

    public void visitLookupSwitchInsn(Label dflt,
                                      int[] keys,
                                      Label[] labels)

### visitMultiANewArrayInsn

    public void visitMultiANewArrayInsn(java.lang.String desc,
                                        int dims)

### visitTryCatchBlock

    public void visitTryCatchBlock(Label start,
                                   Label end,
                                   Label handler,
                                   java.lang.String type)

### visitLocalVariable

    public void visitLocalVariable(java.lang.String name,
                                   java.lang.String desc,
                                   java.lang.String signature,
                                   Label start,
                                   Label end,
                                   int index)

### visitLineNumber

    public void visitLineNumber(int line,
                                Label start)

### visitMaxs

    public void visitMaxs(int maxStack,
                          int maxLocals)

### visit

    public void visit(java.lang.String name,
                      java.lang.Object value)

### visitEnum

    public void visitEnum(java.lang.String name,
                          java.lang.String desc,
                          java.lang.String value)

### visitAnnotation

    public AnnotationVisitor visitAnnotation(java.lang.String name,
                                             java.lang.String desc)

### visitArray

    public AnnotationVisitor visitArray(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD